ONVIF::Analytics::Types::Capabilities(3)

NAME
ONVIF::Analytics::Types::Capabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType Capabilities from the namespace http://www.onvif.org/ver20/analytics/wsdl.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Capabilities
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Analytics::Types::Capabilities::_Capabilities::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   RuleSupport

     Indication that the device supports the rules interface and the rules syntax.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   AnalyticsModuleSupport

     Indication that the device supports the scene analytics module interface.

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

•   CellBasedSceneDescriptionSupported

     Indication that the device produces the cell based scene description

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL